Subject: Re: [PATCH v4 for-next 00/12] Add network namespace support in the RDMA-CM

From: Haggai Eran <[email-masked]>
Date: Thu, 28 May 2015 16:15:21 +0300

On 26/05/2015 19:59, Jason Gunthorpe wrote:
> The big open question for ethernet is how to work without relying on
> VLAN to create delgated netdevs - typically one would use a bridge and
> veth's, which do not seem very RDMA compatible. But that doesn't need
> to be answered right now.

I think in Ethernet the first step would be to support macvlan devices.
Like IPoIB child devices, they are directly attached to an RDMA device,
so they don't require handling a complex virtual bridging topology as
veths do.